﻿-- Script was generated by Devart dbForge Studio for MySQL, Version 6.0.128.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 18/09/2018 10:20:32
-- Server version: 5.5.5-10.1.32-MariaDB
-- Client version: 4.1

--
-- Definition for database practica1
--
DROP DATABASE IF EXISTS practica1;
CREATE DATABASE practica1
	CHARACTER SET latin1
	COLLATE latin1_swedish_ci;

-- 
-- Disable foreign keys
-- 
-- /*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;  DESCOMENTAR SI NO FUNCIONA

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

-- 
-- Set default database
--
USE practica1;

--
-- Definition for table autores
--
CREATE TABLE autores (
  id INT(11) NOT NULL AUTO_INCREMENT,
  autor VARCHAR(50) NOT NULL,
  listado VARCHAR(300) DEFAULT NULL,
  fecha TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  foto VARCHAR(20) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB
AUTO_INCREMENT = 4
AVG_ROW_LENGTH = 8192
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Definition for table libros
--
CREATE TABLE libros (
  id INT(11) NOT NULL AUTO_INCREMENT,
  titulo VARCHAR(50) NOT NULL,
  mensaje VARCHAR(300) DEFAULT NULL,
  fecha TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  foto VARCHAR(20) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB
AUTO_INCREMENT = 4
AVG_ROW_LENGTH = 8192
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

-- 
-- Dumping data for table autores
--
INSERT INTO autores VALUES
-- (1, 'Autor 1', 'Listado 1', '2018-09-17 14:13:10', '1.jpg'),
-- (2, 'Autor 2', 'Listado 2', '2018-09-17 14:13:25', '2.jpg'),
-- (3, 'Autor 3', 'Listado 3', '2018-09-17 14:13:41', '3.jpg'),
(4, 'Autor 4', 'Listado 4', '2018-09-17 14:13:41', '1.jpg'),
(5, 'Autor 5', 'Listado 5', '2018-09-17 14:13:41', '2.jpg'),
(6, 'Autor 6', 'Listado 6', '2018-09-17 14:13:41', '3.jpg'),
(7, 'Autor 7', 'Listado 7', '2018-09-17 14:13:10', '1.jpg'),
(8, 'Autor 8', 'Listado 8', '2018-09-17 14:13:25', '2.jpg'),
(9, 'Autor 9', 'Listado 9', '2018-09-17 14:13:41', '3.jpg'),
(10, 'Autor 10', 'Listado 10', '2018-09-17 14:13:41', '1.jpg'),
(11, 'Autor 11', 'Listado 11', '2018-09-17 14:13:41', '2.jpg'),
(12, 'Autor 12', 'Listado 12', '2018-09-17 14:13:41', '3.jpg');

-- 
-- Dumping data for table libros
--
INSERT INTO libros VALUES
-- (1, 'Libro 1', 'Mensaje 1', '2018-09-17 14:12:10', '1.jpg'),
-- (2, 'Libro 2', 'Mensaje 2', '2018-09-17 14:12:40', '2.jpg'),
-- (3, 'Libro 3', 'Mensaje 3', '2018-09-17 14:12:57', '3.jpg'),
(4, 'Libro 4', 'Mensaje 4', '2018-09-17 14:12:10', '1.jpg'),
(5, 'Libro 5', 'Mensaje 5', '2018-09-17 14:12:40', '2.jpg'),
(6, 'Libro 6', 'Mensaje 6', '2018-09-17 14:12:57', '3.jpg'),
(7, 'Libro 7', 'Mensaje 7', '2018-09-17 14:12:10', '1.jpg'),
(8, 'Libro 8', 'Mensaje 8', '2018-09-17 14:12:40', '2.jpg'),
(9, 'Libro 9', 'Mensaje 9', '2018-09-17 14:12:57', '3.jpg'),
(10, 'Libro 10', 'Mensaje 10', '2018-09-17 14:12:10', '1.jpg'),
(11, 'Libro 11', 'Mensaje 11', '2018-09-17 14:12:40', '2.jpg'),
(12, 'Libro 12', 'Mensaje 12', '2018-09-17 14:12:57', '3.jpg');

-- 
-- Enable foreign keys
-- 
-- /*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;   DESCOMENTAR SI NO FUNCIONA